HepMC3 event record library: Weight Struct Reference

HepMC3 event record library

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
Weight Struct Reference

## Detailed Description

The Weight class represents the information in a weight tag.

Definition at line 1187 of file LHEF.h.

`#include <LHEF.h>`

Inheritance diagram for Weight:
[legend]
Collaboration diagram for Weight:
[legend]

## Public Types
typedef XMLTag::AttributeMap | AttributeMap

## Public Member Functions
| Weight ()
| Weight (const XMLTag &tag)
void | print (std::ostream &file) const
bool | getattr (const std::string &n, double &v, bool erase=true)
bool | getattr (const std::string &n, bool &v, bool erase=true)
bool | getattr (const std::string &n, long &v, bool erase=true)
bool | getattr (const std::string &n, int &v, bool erase=true)
bool | getattr (const std::string &n, std::string &v, bool erase=true)
void | printattrs (std::ostream &file) const
void | closetag (std::ostream &file, const std::string &tag) const

## Static Public Member Functions
static std::string | yes ()

## Data Fields
std::string | name
bool | iswgt
double | born
double | sudakov
std::vector< double > | weights
std::vector< int > | indices
XMLTag::AttributeMap | attributes
std::string | contents

## Member Typedef Documentation

## ◆ AttributeMap

typedef XMLTag::AttributeMap AttributeMap
| inherited

Convenient typedef.

Definition at line 367 of file LHEF.h.

## Constructor & Destructor Documentation

## ◆ Weight() [1/2]

Weight | ( |  | ) |
| inline

Initialize default values.

Definition at line 1192 of file LHEF.h.

References born, iswgt, and sudakov.

## ◆ Weight() [2/2]

Weight | ( | const XMLTag & | tag | ) |
| inline

Create from XML tag

Definition at line 1197 of file LHEF.h.

References born, TagBase::contents, XMLTag::contents, TagBase::getattr(), indices, iswgt, name, sudakov, TagBase::TagBase(), and weights.

## Member Function Documentation

## ◆ closetag()

void closetag | ( | std::ostream & | file,
|  | const std::string & | tag ) const
| inlineinherited

Print out end of tag marker. Print contents if not empty else print simple close tag.

Definition at line 463 of file LHEF.h.

References contents.

## ◆ getattr() [1/5]

bool getattr | ( | const std::string & | n,
|  | bool & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the bool variable v to true if the corresponding value is "yes". Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 400 of file LHEF.h.

References attributes.

## ◆ getattr() [2/5]

bool getattr | ( | const std::string & | n,
|  | double & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the double variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 386 of file LHEF.h.

References attributes.

## ◆ getattr() [3/5]

bool getattr | ( | const std::string & | n,
|  | int & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 428 of file LHEF.h.

References attributes.

## ◆ getattr() [4/5]

bool getattr | ( | const std::string & | n,
|  | long & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 414 of file LHEF.h.

References attributes.

## ◆ getattr() [5/5]

bool getattr | ( | const std::string & | n,
|  | std::string & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the string variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 442 of file LHEF.h.

References attributes.

## ◆ print()

void print | ( | std::ostream & | file | ) | const
| inline

Print out an XML tag.

Definition at line 1215 of file LHEF.h.

References born, iswgt, name, LHEF::oattr(), sudakov, and weights.

## ◆ printattrs()

void printattrs | ( | std::ostream & | file | ) | const
| inlineinherited

print out ' name="value"' for all unparsed attributes.

Definition at line 453 of file LHEF.h.

References attributes, and LHEF::oattr().

## ◆ yes()

std::string yes | ( |  | ) |
| inlinestaticinherited

Static string token for truth values.

Definition at line 485 of file LHEF.h.

## Field Documentation

## ◆ attributes

XMLTag::AttributeMap attributes
| inherited

The attributes of this tag;

Definition at line 475 of file LHEF.h.

## ◆ born

double born

The relative size of the born cross section of this event.

Definition at line 1245 of file LHEF.h.

## ◆ contents

std::string contents
| mutableinherited

The contents of this tag.

Definition at line 480 of file LHEF.h.

## ◆ indices

std::vector<int> indices

The indices where the weights are stored.

Definition at line 1260 of file LHEF.h.

## ◆ iswgt

bool iswgt

Is this a wgt or a weight tag

Definition at line 1240 of file LHEF.h.

## ◆ name

std::string name

The identifyer for this set of weights.

Definition at line 1235 of file LHEF.h.

## ◆ sudakov

double sudakov

The relative size of the sudakov applied to this event.

Definition at line 1250 of file LHEF.h.

## ◆ weights

std::vector<double> weights
| mutable

The weights of this event.

Definition at line 1255 of file LHEF.h.

The documentation for this struct was generated from the following file:

- LHEF.h